#include<iostream>
using namespace std;
int main(){
    long long n,br=0,br2=0;
    cin>>n;
bool masiv[n];
for(long long i=0;i<n;i++){
    cin>>masiv[i];
}
for(long long i=1;i<n-1;i++){
    if(masiv[i-1]<masiv[i] and masiv[i+1]<masiv[i] or masiv[i-1]>masiv[i] and masiv[i+1]>masiv[i]){
        masiv[i]=true;
    }else{
    masiv[i]=false;
    }
}
for(long long i=0;i<n;i++){
    for(long long j=i+1;j<n;j++){
        for(long long m=i+1;m<j;m++){
            if(masiv[m]==true){
                br=br+1;
            }
        }
        if(br==0){
            br2=br2+1;
        }
        br=0;
    }
}
cout<<1;
return 0;
}
